Bug 149267 - IDE deadlock when invoking popup menu in editor right after the startup.
IDE deadlock when invoking popup menu in editor right after the startup.
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Project
6.x
All All
: P1 (vote)
: 6.x
Assigned To: Tomas Zezula
issues@java
: THREAD
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-06 16:56 UTC by Martin Entlicher
Modified: 2008-10-28 16:47 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
Full thread dump. (37.70 KB, text/plain)
2008-10-06 16:57 UTC, Martin Entlicher
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Entlicher 2008-10-06 16:56:38 UTC
Happens the second time today already, submitting to core to evaluate the thread dump, looks like some waiting loop
through Mutex.
Occurs in NetBeans IDE Dev (Build 081004) on Linux version 2.6.22-14-generic running on i386
JDK 1.6.0_10-rc; Java HotSpot(TM) Client VM 11.0-b13; Sun Microsystems Inc.
Comment 1 Martin Entlicher 2008-10-06 16:57:04 UTC
Created attachment 71220 [details]
Full thread dump.
Comment 2 Lukas Hasik 2008-10-07 09:06:40 UTC
reassigning to projects to evaluate
"AWT-EventQueue-1" prio=10 tid=0x8d752800 nid=0x747d in Object.wait() [0x8c9d9000..0x8c9daf40]
   java.lang.Thread.State: WAITING (on object monitor)
        at java.lang.Object.wait(Native Method)
        - waiting on <0x90a20610> (a org.openide.util.Mutex$QueueCell)
        at java.lang.Object.wait(Object.java:485)
        at org.openide.util.Mutex$QueueCell.sleep(Mutex.java:1602)
        - locked <0x90a20610> (a org.openide.util.Mutex$QueueCell)
        at org.openide.util.Mutex.enterImpl(Mutex.java:723)
        at org.openide.util.Mutex.enter(Mutex.java:630)
        at org.openide.util.Mutex.readEnter(Mutex.java:613)
        at org.openide.util.Mutex.readAccess(Mutex.java:324)
        at org.netbeans.api.project.ProjectManager.findProject(ProjectManager.java:227)
        at
org.netbeans.modules.projectapi.SimpleFileOwnerQueryImplementation.getOwner(SimpleFileOwnerQueryImplementation.java:126)
        at org.netbeans.api.project.FileOwnerQuery.getOwner(FileOwnerQuery.java:101)
Comment 3 Milos Kleint 2008-10-07 12:17:53 UTC
reassigning to java/j2seproject
the lock
org.netbeans.modules.java.j2seproject.classpath.ClassPathProviderImpl
should be probably aquired under mutex read access?

Is this really a P1?
Comment 4 Tomas Zezula 2008-10-07 15:25:07 UTC
http://hg.netbeans.org/main/rev/693510271d82
Comment 5 Quality Engineering 2008-10-08 06:00:36 UTC
Integrated into 'main-golden', will be available in build *200810080201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/693510271d82
User: Tomas Zezula <tzezula@netbeans.org>
Log: #149267:IDE deadlock when invoking popup menu in editor right after the startup.
Comment 6 Quality Engineering 2008-10-28 16:47:27 UTC
Integrated into 'main-golden', will be available in build *200810281401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/2b8d72b12282
User: David Konecny <dkonecny@netbeans.org>
Log: #149267:IDE deadlock when invoking popup menu in editor right after the startup.
(this is transplant of original fix 693510271d82 to newly introduced ClassPathProviderImpl.java)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo